![Semantic description of image](https://cdn.oki.cx/files/2vu9oe7pvc5qsx4fpadghkeoj.png)
# What is oki.cx File Share

Python based file upload website with HTML and JSON responses built with [FastAPI](https://fastapi.tiangolo.com/)

## Table of contents
* [Setup](#setup)

## Setup 
Docker Compose
```
version: '3.8'
services:
file-share:
    image: mrpvtdagger/oki.cx-file-share:latest
    environment:
      - URL="example.com"
    ports:
      - "8086:80"
    volumes:
      - "/path/to/store/files/:/app/files"
    restart: unless-stopped
    
```
You will need to add glcr.oki.cx to your docker host registries to use the above image. 
